<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_0c5123aa744f69bbc0e" . "8b3ea2f6e847d" => base64_decode("bG1zZ" . "w=="), "_4c510e5adc7368560eb3" . "dd6ed429e5c5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc3NfcmVzcG9u" . "c2UucGhw"), "_fe2579cea630be3ef73ecaa47a26a5" . "9f" => base64_decode("cGVvcGxlLm15X2luZm9iYXIuYm9va21h" . "cmtfYWRkZWQ="), "_a62d761f3e831ff9d9da39f9c26e" . "cddc" => base64_decode("Li4vY29tbW9uL2Nvc" . "mUucGhw"), "u" . "r" . "l" => base64_decode("d" . "X" . "J" . "s"), "t" . "i" . "t" . "l" . "e" => base64_decode("dGl" . "0bG" . "U="), "_b93155ab570" . "822d94f80f2b" . "49acbdcde" => base64_decode("dXJsZGV" . "jb2Rl"), "messa" . "ge" => base64_decode("bWV" . "zc2" . "FnZ" . "Q=="));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_a62d761f3e83" . "1ff9d9da39f9c" . "26ecddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_b93155ab570822d94f80f2" . "b49acbdcde"](gpc::get($request, $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["u" . "r" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_b93155ab570822d94f80f2b49acb" . "dcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["ti" . "tl" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea" . "2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_fe2579cea63" . "0be3ef73ecaa" . "47a26a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["me" . "ss" . "ag" . "e"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4c510e5a" . "dc7368560" . "eb3dd6ed4" . "29e5c5"];